# Class HtsjdkException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.beta.exception.HtsjdkException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `HtsjdkIOException, HtsjdkPluginException`

public class HtsjdkException extends RuntimeException
Exception type for all exceptions caused at runtime by HTSJDK.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HtsjdkException(String message)`
Constructs an HtsjdkException.
`HtsjdkException(String message, Throwable cause)`
Construct an HtsjdkException with a specified cause.
`HtsjdkException(Throwable cause)`
Construct an HtsjdkException with a message constructed from the cause.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HtsjdkException

public HtsjdkException(String message)
Constructs an HtsjdkException.

Parameters:
  `message` - detailed message.

### HtsjdkException

public HtsjdkException(String message, Throwable cause)
Construct an HtsjdkException with a specified cause.

Parameters:
  `message` - detailed message.
  `cause` - cause of the exception.

### HtsjdkException

public HtsjdkException(Throwable cause)
Construct an HtsjdkException with a message constructed from the cause.

Parameters:
  `cause` - cause of the exception.